package com.enteprise.etype.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.enteprise.etype.mapper.EnterpriseTypeMapper;
import com.enteprise.etype.domain.EnterpriseType;
import com.enteprise.etype.service.IEnterpriseTypeService;

/**
 * etypeService业务层处理
 * 
 * @author ljx
 * @date 2025-02-07
 */
@Service
public class EnterpriseTypeServiceImpl implements IEnterpriseTypeService 
{
    @Autowired
    private EnterpriseTypeMapper enterpriseTypeMapper;

    /**
     * 查询etype
     * 
     * @param number etype主键
     * @return etype
     */
    @Override
    public EnterpriseType selectEnterpriseTypeByNumber(Long number)
    {
        return enterpriseTypeMapper.selectEnterpriseTypeByNumber(number);
    }

    /**
     * 查询etype列表
     * 
     * @param enterpriseType etype
     * @return etype
     */
    @Override
    public List<EnterpriseType> selectEnterpriseTypeList(EnterpriseType enterpriseType)
    {
        return enterpriseTypeMapper.selectEnterpriseTypeList(enterpriseType);
    }

    /**
     * 新增etype
     * 
     * @param enterpriseType etype
     * @return 结果
     */
    @Override
    public int insertEnterpriseType(EnterpriseType enterpriseType)
    {
        return enterpriseTypeMapper.insertEnterpriseType(enterpriseType);
    }

    /**
     * 修改etype
     * 
     * @param enterpriseType etype
     * @return 结果
     */
    @Override
    public int updateEnterpriseType(EnterpriseType enterpriseType)
    {
        return enterpriseTypeMapper.updateEnterpriseType(enterpriseType);
    }

    /**
     * 批量删除etype
     * 
     * @param numbers 需要删除的etype主键
     * @return 结果
     */
    @Override
    public int deleteEnterpriseTypeByNumbers(Long[] numbers)
    {
        return enterpriseTypeMapper.deleteEnterpriseTypeByNumbers(numbers);
    }

    /**
     * 删除etype信息
     * 
     * @param number etype主键
     * @return 结果
     */
    @Override
    public int deleteEnterpriseTypeByNumber(Long number)
    {
        return enterpriseTypeMapper.deleteEnterpriseTypeByNumber(number);
    }
}
