package com.enteprise.priceindex.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.enteprise.priceindex.mapper.PriceIndexMapper;
import com.enteprise.priceindex.domain.PriceIndex;
import com.enteprise.priceindex.service.IPriceIndexService;

/**
 * priceindexService业务层处理
 * 
 * @author ljx
 * @date 2025-02-07
 */
@Service
public class PriceIndexServiceImpl implements IPriceIndexService 
{
    @Autowired
    private PriceIndexMapper priceIndexMapper;

    /**
     * 查询priceindex
     * 
     * @param id priceindex主键
     * @return priceindex
     */
    @Override
    public PriceIndex selectPriceIndexById(Long id)
    {
        return priceIndexMapper.selectPriceIndexById(id);
    }

    /**
     * 查询priceindex列表
     * 
     * @param priceIndex priceindex
     * @return priceindex
     */
    @Override
    public List<PriceIndex> selectPriceIndexList(PriceIndex priceIndex)
    {
        return priceIndexMapper.selectPriceIndexList(priceIndex);
    }

    /**
     * 新增priceindex
     * 
     * @param priceIndex priceindex
     * @return 结果
     */
    @Override
    public int insertPriceIndex(PriceIndex priceIndex)
    {
        return priceIndexMapper.insertPriceIndex(priceIndex);
    }

    /**
     * 修改priceindex
     * 
     * @param priceIndex priceindex
     * @return 结果
     */
    @Override
    public int updatePriceIndex(PriceIndex priceIndex)
    {
        return priceIndexMapper.updatePriceIndex(priceIndex);
    }

    /**
     * 批量删除priceindex
     * 
     * @param ids 需要删除的priceindex主键
     * @return 结果
     */
    @Override
    public int deletePriceIndexByIds(Long[] ids)
    {
        return priceIndexMapper.deletePriceIndexByIds(ids);
    }

    /**
     * 删除priceindex信息
     * 
     * @param id priceindex主键
     * @return 结果
     */
    @Override
    public int deletePriceIndexById(Long id)
    {
        return priceIndexMapper.deletePriceIndexById(id);
    }
}
